SQUEEZE(1)

NAME
squeeze - compress binary executables

SYNOPSIS
squeeze [ -v ] file ...
squeeze [ -v ] -o outfile infile

DESCRIPTION
Squeeze compresses executable binaries such that the kernel can still demand page from them. This is useful to save disk space.

Squeeze can either compress files in place (the first variant above) or squeeze just one file to a different place using the -o flag.

The -v flag causes compression statistics to be printed on the standard output.

Squeeze builds a temporary squeezed file and then copies that file to the destination file so that if the squeeze fails the old destination contents are preserved. During the copy, the file mode is preserved, as is the ownership (if the compression is being performed by the superuser).

Note that squeeze does not change the length of a file, only its disk occupancy.

SEE ALSO
strings(1), strip(1), unsqueeze(1), a.out(5)

AUTHOR
Andy Bray